Update outbound payment intent

​

Update a user's outbound payment intent

Required Scopes:

payment_intent.outbound:write transactions:read

Path Parameters

  • The uid of the payment intent

Body·

  • Payment intent description, which will also be used as the addenda on any payments made on the payment intent. This field cannot be updated on fully paid or canceled payment intents.

  • The due date for payment of payment intent. Must be a string with format YYYY-MM-DD representing a date in the future.

  • A private memo for internal use.

  • A note to the payee/vendor. This field cannot be updated on fully paid or canceled payment intents.

  • The total amount due for the payment intent. If updated, the remaining balance due (total - sum of existing payments) must be greater or equal to 1.00. This field cannot be updated on fully paid or canceled payment intents.

Responses

  • application/json
  • application/json
  • application/json
Request Example for patch/v1/payment-intents/outbound/{uid}/
curl https://api.foundation.dev.trusspayments.com/v1/payment-intents/outbound/123e4567-e89b-12d3-a456-426614174000/ \
  --request PATCH \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "total": "",
  "addenda": "",
  "note": null,
  "memo": null,
  "due_date": null
}'
{
  "uid": "123e4567-e89b-12d3-a456-426614174000",
  "total": "string",
  "addenda": "string",
  "direction": 0,
  "note": null,
  "memo": null,
  "due_date": null,
  "contact": {
    "uid": "123e4567-e89b-12d3-a456-426614174000",
    "name": "string",
    "email": null,
    "secondary_email": null,
    "phone": null,
    "oauth_connection_id": "123e4567-e89b-12d3-a456-426614174000"
  },
  "wallet_uid": null,
  "status": "string",
  "balance_paid": "string",
  "checkout_url": null,
  "created_at": "2026-10-05T22:18:11.398Z",
  "pending_at": null,
  "paid_at": null,
  "canceled_at": null,
  "transactions": [
    {
      "uid": "123e4567-e89b-12d3-a456-426614174000",
      "amount": "string",
      "addenda": null,
      "type": "transaction",
      "payment_method": "ach",
      "date": "2026-10-05T22:18:11.398Z",
      "preprocessed_at": "2026-10-05T22:18:11.398Z",
      "processed_at": "2026-10-05T22:18:11.398Z",
      "posted_at": "2026-10-05T22:18:11.398Z",
      "settled_at": "2026-10-05T22:18:11.398Z",
      "returned_at": "2026-10-05T22:18:11.398Z",
      "status": "ReturnedTransaction",
      "direction": 0
    }
  ]
}